/******** <lalVerbatim file="BlockInitSearchHV"> ********
Author: Tibbits, M. M.
$Id: BlockInitSearch.h,v 1.2 2002/07/05 20:46:49 tibbits Exp $
********* </lalVerbatim> ********/

/******************************* <lalLaTeX file="BlockInitSearchH">
\section{Header \texttt{BlockInitSearch.h}}
\label{s:BlockInitSearch.h}

Header file for a routine that checks the validity of the input 
parameters and initializes them.

\subsection*{Synopsis}
\begin{verbatim}
#include "BlockInitSearch.h"
\end{verbatim}

\subsection*{Error conditions}
\input{BlockInitSearchHErrTab}

\subsection*{Structures}

None.

*************************************************** </lalLaTeX> */

#ifndef _BLOCKINITSEARCH_H
#define _BLOCKINITSEARCH_H

#include <lal/LALStdlib.h>
#include "LALWrapperInterface.h"
#include "Block.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID( BLOCKINITSEARCHH, "$Id: BlockInitSearch.h,v 1.2 2002/07/05 20:46:49 tibbits Exp $");

/******** <lalErrTable file="BlockInitSearchHErrTab"> ********/
#define	BLOCKINITSEARCHH_EARG   1
#define	BLOCKINITSEARCHH_ECHK   2
#define	BLOCKINITSEARCHH_EFLS   3
#define	BLOCKINITSEARCHH_EUSE   4
#define	BLOCKINITSEARCHH_ENULL  5
#define	BLOCKINITSEARCHH_EALOC  6
#define	BLOCKINITSEARCHH_EFPMS  7
#define BLOCKINITSEARCHH_ENUMZ  8
#define	BLOCKINITSEARCHH_MSGEARG  "Error parsing command-line arguments"
#define	BLOCKINITSEARCHH_MSGECHK  "Error checking failed to catch bad data"
#define	BLOCKINITSEARCHH_MSGEFLS  "Incorrect answer for valid data"
#define	BLOCKINITSEARCHH_MSGEUSE  "Bad user-entered data"
#define	BLOCKINITSEARCHH_MSGENULL "Null Pointer."
#define BLOCKINITSEARCHH_MSGEALOC "Memory Allocation Error"
#define BLOCKINITSEARCHH_MSGEFPMS "Filter Parameter Structure Error"
#define BLOCKINITSEARCHH_MSGENUMZ "Incorrect number of command line arguments"
/******** </lalErrTable> ********/

#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _BLOCKINITSEARCH_H  */


/******************************* <lalLaTeX file="BlockInitSearchH">
  
\vfill{\footnotesize\input{BlockInitSearchHV}}

\newpage\input{BlockInitSearchC}

*************************************************** </lalLaTeX> */
