/******** <lalVerbatim file="FCTMyInterfCV"> ******** 
Author: Wen, L. 
$Id: FCTMyPhaseFunc.c,v 1.6 2001/12/27 04:32:36 lwen Exp $ 
********* </lalVerbatim> ********/ 

#include <lal/LALDatatypes.h>
#include <lal/LALFCTInterface.h>
#include <math.h>

#include <FCTMyPhaseFunc.h>

#define  f0 40.0L /*  specific to Inspiral */
/* #define  Nyq 1024.0L */ /* should have been passed in */ 


/* for tau0 */
REAL4 phaseFunc1(REAL4 x)
{
    const REAL8 pwr = -5.0/3.0;

    /* Convert x from fraction of Nyquist to Hz */
    const REAL8 f = x*FCTNyq;

    /*     const REAL8 max = 3.0/5.0*f0*pow(f0/f0, pwr); */

    if (f <= f0)
    {
        return 0.0;
    }
    else
    {
      /*         return (3.0/5.0*f0*pow(f/f0, pwr)/max); */
      return pow(f/f0, pwr);
    }
}
/* for tau2 */
REAL4 phaseFunc2(REAL4 x)
{
    /* Convert x from fraction of Nyquist to Hz */
    const REAL8 f = x*FCTNyq;

    /*     const REAL8 max = f0*f0/f0; */

    if (f <= f0)
    {
        return 0.0;
    }
    else
    {
      /*         return f0*f0/f/max; */
      return f0/f;
    }
}

/* for tau3 */
REAL4 phaseFunc3(REAL4 x)
{
    const REAL8 pwr = -2.0/3.0;

    /* Convert x from fraction of Nyquist to Hz */
    const REAL8 f = x*FCTNyq;

    /*        const REAL8 max = 3.0/2.0*f0*pow(f0/f0, pwr); */

    if (f <= f0)
    {
        return 0.0;
    }
    else
    {
      /*         return -3.0/2.0*f0*pow(f/f0, pwr)/max; */
      return -1.*pow(f/f0, pwr);
    }
}

/* for tau4 */
REAL4 phaseFunc4(REAL4 x)
{

 const REAL8 pwr = -1.0/3.0;
 const REAL8 f = x*FCTNyq;
 /*  const REAL8 max = 3*f0*pow(f0/f0,pwr); */
 
 if (f <= f0)
 {
   return 0.0;
 }
 else
 {
   /*    return 3*f0*pow(f/f0, pwr)/max;*/
   return pow(f/f0,pwr); 
 }
}

REAL4 phaseFunc5(REAL4 x)
{

    return 0;
}

/* base physical  units in order of tau0,tau2,tau3, tau4 */

/* REAL4         myUnits[]={f0*3./5.,f0,1.5*f0,3.0*f0};  */

LALFCTPhaseFn phaseFuncArray[]={phaseFunc1,phaseFunc2,phaseFunc3,phaseFunc4};
REAL4     FCTBaseUnits[]={f0*3./5.,f0,1.5*f0,3.0*f0};    



















