/* -*- mode: c; c-basic-offset: 2; -*- */
/******** <lalVerbatim file="SlopeAddTimeToGpsSecNanC"> ********
Author: Daw, E
$Id: SlopeAddTimeToGpsSecNan.c,v 1.1 2002/05/08 14:25:17 edaw Exp $
******** </lalVerbatim> ********/

#ifdef DEBUG_SLOPE
#include <stdio.h>
#endif
#include <math.h>

/* lal standard library */
#include <lal/LALStdlib.h>

/* lal MPI interface */
#include <lal/Comm.h>

/* structures and definitions for this code segment */
#include <SlopeDatatypes.h>
#include <SlopeAddTimeToGpsSecNan.h>

NRCSID( SLOPEADDTIMETOGPSSECNANC, "$Id: ");

void
SlopeAddTimeToGpsSecNan( UINT4* pseconds,
			 UINT4* pnanoseconds,
			 REAL4  add )
{
  /* this function uses math.h to break */
  /* the add time into seconds and nanoseconds. So I */
  /* need to use the double data type */
  double nsadd;
  double sadd;
  UINT4 tentonine=1000000000;
  UINT4 uint_nsadd;
  UINT4 uint_sadd;
  nsadd = 1e+09 * modf((double)add,&sadd);
  uint_nsadd = (UINT4)nsadd;
  uint_sadd = (UINT4)sadd;
  if( (*pnanoseconds) + uint_nsadd  >= tentonine ) {
    (*pseconds) = (*pseconds) + uint_sadd + 1;
    (*pnanoseconds) = ((*pnanoseconds) + uint_nsadd) % tentonine;
  } else {
    (*pseconds) = (*pseconds) + uint_sadd;
    (*pnanoseconds) = (*pnanoseconds) + uint_nsadd;
  }
  return;
}
